Bug 596510 - [abrt] crash in firefox-3.6.3-4.fc13 @ JavaRequestProcessor::postAndWaitForResponse
Summary: [abrt] crash in firefox-3.6.3-4.fc13 @ JavaRequestProcessor::postAndWaitForRe...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Lillian Angel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:278e33f7e96e2931580a378ac42...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 20:34 UTC by Frederik Hertzum
Modified: 2011-06-27 16:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 16:44:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (63.62 KB, text/plain)
2010-05-26 20:34 UTC, Frederik Hertzum
no flags Details

Description Frederik Hertzum 2010-05-26 20:34:41 UTC
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.6/firefox -UILocale da
comment: I have only tested this on a set of interdependent java applets (i.e. consider them to be just one program) and Firefox crashes when one of them has been loaded, at random. Firefox doesn't crash as soon as one of them has been loaded and some times (rarely) I am able to use the first applet to be loaded before crashing.
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.6/firefox
global_uuid: 278e33f7e96e2931580a378ac422f02d2e0f0606
kernel: 2.6.33.3-85.fc13.x86_64
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib64/firefox-3.6/firefox was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Load a java applet in Firefox
2.
3.

Comment 1 Frederik Hertzum 2010-05-26 20:34:45 UTC
Created attachment 417024 [details]
File: backtrace

Comment 2 Chris Campbell 2010-05-27 13:43:00 UTC
#5  0x00000030a502b945 in __assert_fail (assertion=
    0x30a84b9210 "(((long) (dpy->last_request_read) - (long) (dpy->request)) <= 0)", file=<value optimized out>, line=249, function=<value optimized out>)
    at assert.c:81
        buf = 
    0x7fab970bc160 "firefox: xcb_io.c:249: process_responses: Foruds\303\246tningen (assertion) '(((long) (dpy->last_request_read) - (long) (dpy->request)) <= 0)' fejlede.\n"
#6  0x00000030a844d0dd in process_responses (dpy=0x7fabb2487000, 
    wait_for_first_event=0, current_error=0x0, current_request=0)
    at xcb_io.c:249
        reply = 0x15242
        event = 0x0
        error = 0x4bfd8317
        c = 0x7fabb2489000
        __PRETTY_FUNCTION__ = "process_responses"
#7  0x00000030a844d947 in _XEventsQueued (dpy=0x7fabb2487000, 
    mode=<value optimized out>) at xcb_io.c:263
No locals.
#8  0x00000030a843617d in XPending (dpy=0x7fabb2487000) at Pending.c:56
        ret_val = <value optimized out>
#9  0x00000030ae85d459 in gdk_event_check (source=0x7fabb243f8d0)
    at gdkevents-x11.c:2347
        display_source = 0x7fabb243f8d0
        retval = <value optimized out>
#10 0x00000030a683eee2 in IA__g_main_context_check (context=0x7fabb2442a10, 
    max_priority=0, fds=<value optimized out>, n_fds=<value optimized out>)
    at gmain.c:2469
        result = <value optimized out>
        check = <value optimized out>
        source = 0x7fabb243f8d0
        pollrec = <value optimized out>
        n_ready = <value optimized out>
        i = <value optimized out>
#11 0x00000030a683f863 in g_main_context_iterate (context=0x7fabb2442a10, 
    block=0, dispatch=1, self=<value optimized out>) at gmain.c:2588
        max_priority = 0
        timeout = 0
        some_ready = <value optimized out>
        nfds = 12
        allocated_nfds = <value optimized out>
        fds = 0x7fab9a655e20
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#12 0x00000030a683fc9c in IA__g_main_context_iteration (context=
    0x7fabb2442a10, may_block=0) at gmain.c:2654
        retval = <value optimized out>
#13 0x00007fab9a0e5cdf in JavaRequestProcessor::postAndWaitForResponse (this=
    0x7fab9b5feca0, message="context 0 reference 289 GetValue 65")
    at /usr/src/debug/icedtea6-1.7.1/plugin/icedteanp/IcedTeaJavaRequestProcessor.cc:260
        t = {tv_sec = 1274905487, tv_nsec = 86014579}
        curr_t = {tv_sec = 1274905367, tv_nsec = 86572123}
#14 0x00007fab9a0eb70d in JavaRequestProcessor::getValue (this=
    0x7fab9b5feca0, object_id=<value optimized out>)
    at /usr/src/debug/icedtea6-1.7.1/plugin/icedteanp/IcedTeaJavaRequestProcessor.cc:328
        message = "context 0 reference 289 GetValue 65"
#15 0x00007fab9a0ed101 in PluginRequestProcessor::call (
    this=<value optimized out>, message_parts=<value optimized out>)
    at /usr/src/debug/icedtea6-1.7.1/plugin/icedteanp/IcedTeaPluginRequestProcessor.cc:295
        variant = 0x7fab969ea380
        i = <value optimized out>
        instance = 0x7fab968db3b8
        window_ptr_str = "140374940912672"
        java_result = 0x0
        result_variant_jniid = "64\000x\000"
        window_ptr = <value optimized out>
        window_function_name = "BECReadCSS"
        response = ""
        java_request = {<BusSubscriber> = {_vptr.BusSubscriber = 
    0x7fab9a2fe5f0}, instance = 0, reference = 289, result_ready = false, 
          result = 0x7fab969e9af0}
        args_array = <value optimized out>
        thread_data = {parameters = std::vector of length 5, capacity 8 = {
    0x7fab968db3b8, 0x7fab967e6ae0, 0x7fab9b5fedb0, 0x7fab9b5fedc8, 
    0x7fab96aa33a0}, result = "instance", result_ready = true, 
          call_successful = true}
        args = std::vector of length 1, capacity 1 = {{type = 
    NPVariantType_String, value = {boolValue = 80, intValue = -1524057264, 
              doubleValue = 6.9354557447572523e-310, stringValue = {
                UTF8Characters = 0x7faba528bb50 ".applet", UTF8Length = 7}, 
              objectValue = 0x7faba528bb50}}}
        arg_ids = std::vector of length 2, capacity 2 = {"55", "65"}
        arg_count = <value optimized out>
        result_variant = <value optimized out>



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Ole Sandum 2010-06-18 06:39:50 UTC
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


Comment
-----
Launching the applet on http://www.brf.dk/412568B30049A81F/alldocs/DOCURAN-6Y2H68?OpenDocument with the latest IcedTea plugin

Comment 4 Jan Horak 2010-06-18 08:57:43 UTC
Looks like crash in IcedTea plugin.

Comment 5 Mads Kiilerich 2010-08-01 23:42:36 UTC
Bug 620098 could be a duplicate. The same applet (though branded for a different bank) might be involved there too. The trace do however look different - there is no IcedTea in the stack. Duplicate or not?

I also notice that both traces contains fragments of danish localization.

Comment 7 Frederik Hertzum 2010-09-03 05:58:04 UTC
#3 Same set of applets :-) BEC's webbank.
#4 I'm certain it is.

Comment 8 Mads Kiilerich 2010-09-03 23:33:24 UTC
This is quite reproducible. Using a new account foo:

[foo@D610 ~]$ rm -rf .mozilla/ .netx/ .icedteaplugin/
[foo@D610 ~]$ firefox http://www.brf.dk/412568B30049A81F/alldocs/DOCURAN-6Y2H68?OpenDocument

In "brugernummer" enter "12341234" 
Select 3rd radio button
Click "Næste". 
At the Java Security warning wait 10 s and click "Run". 
At unresponsive script wait 10 s and and click "Continue".

50% of the times firefox just hangs and won't repaint. That's one serious bug.

Sometimes it works.

Sometimes I get the trace reported here:
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8.1) (fedora-42.b18.fc13-i386)
OpenJDK Client VM (build 14.0-b16, mixed mode)
java.io.FileNotFoundException: /home/foo/.icedteaplugin/java.stderr (No such file or directory)
	at java.io.FileOutputStream.open(Native Method)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:209)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:160)
	at sun.applet.PluginMain.<init>(PluginMain.java:130)
	at sun.applet.PluginMain.main(PluginMain.java:116)
firefox: xcb_io.c:249: process_responses: Assertion `(((long) (dpy->last_request_read) - (long) (dpy->request)) <= 0)' failed.
/usr/lib/firefox-3.6/run-mozilla.sh: line 131:  6248 Aborted                 (core dumped) "$prog" ${1+"$@"}
[foo@D610 ~]$ 

Sometimes I get:
firefox: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.

I works fine with jre-1.6.0_20-fcs.i586 instead of openjdk.

Comment 9 Frederik Hertzum 2011-04-25 19:16:09 UTC
Bug appears to be fixed in the latest openjdk in Fedora 15

Comment 10 Bug Zapper 2011-06-02 13:21:14 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2011-06-27 16:44:51 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.